%define rel 3

%define phonon_epoch 5
%define phonon_major 4
%define phonon_version %(pkg-config --modversion phonon 2>/dev/null || echo 4.7.0)
%define phonon4qt5_version %(pkg-config --modversion phonon4qt5 2>/dev/null || echo 4.7.0)

%define libphonon_requires %mklibname phonon %{phonon_major}
%define upstream_name phonon-backend-gstreamer

Summary: GStreamer backend for Phonon
Name:    phonon-gstreamer
Epoch:   5
Version: 4.9.0
Release: %mkrel %{rel}
Group:   Video/Utilities
License: LGPLv2+
URL:     http://phonon.kde.org/
Source0: http://download.kde.org/stable/phonon/%{upstream_name}/%{version}/src/%{upstream_name}-%{version}.tar.xz
# run this script to generate a snapshot tarball
Source1: phonon-gstreamer_snapshot.sh

## Mageia patches

# Fedora patches:

## Ubuntu/upstreamable patches
Patch1: phonon-backend-gstreamer-4.8.2-flac_mimetype.patch

## Upstream patches

BuildRequires: automoc4
BuildRequires: cmake
BuildRequires: pkgconfig(gstreamer-1.0)
BuildRequires: pkgconfig(gstreamer-plugins-base-1.0)
BuildRequires: pkgconfig(phonon) >= 4.7.80
BuildRequires: kde4-macros
BuildRequires: pkgconfig(phonon4qt5) >= 4.7.0
BuildRequires: pkgconfig(Qt5OpenGL)
BuildRequires: pkgconfig(Qt5X11Extras)
BuildRequires: kf5-macros

Provides: phonon-backend = %{phonon_epoch}:%{phonon_version}
Provides:  %{upstream_name}

Requires:   phonon
Requires:   phonon-gstreamer-common
Requires:   gstreamer1.0-plugins-good
Requires:   gstreamer1.0-plugins-base
Requires:   gstreamer1.0-cdparanoia
Recommends: gstreamer1.0-libav
Recommends: gstreamer1.0-neon
Recommends: gstreamer1.0-plugins-ugly
Recommends: gstreamer1.0-pulse
Recommends: gstreamer1.0-soup
# not *strictly* required, but strongly recommended by upstream when built
# with USE_INSTALL_PLUGIN
#Add back when in mageia
#Requires: PackageKit-gstreamer-plugin
Requires: %{libphonon_requires} >= %{phonon_epoch}:%{phonon_version}

%description
%{summary}.

%files -n phonon-gstreamer
%_kde_libdir/kde4/plugins/phonon_backend/phonon_gstreamer.so
%_kde_datadir/kde4/services/phononbackends/gstreamer.desktop

#--------------------------------------------------------------------

%package -n phonon4qt5-gstreamer
Summary: GStreamer backend for Phonon Qt5
Group:   Video/Utilities

Provides: phonon4qt5-backend
Provides: phonon4qt5-backend-gstreamer

Requires: phonon-gstreamer-common
Requires: gstreamer1.0-plugins-good
Requires: gstreamer1.0-plugins-base
Requires: gstreamer1.0-cdparanoia
Recommends: gstreamer1.0-libav
Recommends: gstreamer1.0-soup
Recommends: gstreamer1.0-pulse
Recommends: gstreamer1.0-plugins-ugly
# not *strictly* required, but strongly recommended by upstream when built
# with USE_INSTALL_PLUGIN
#Add back when in mageia
#Requires: PackageKit-gstreamer-plugin
Requires: %{mklibname phonon4qt5_ %{phonon_major}} >= %{phonon_epoch}:%{phonon4qt5_version}

%description -n phonon4qt5-gstreamer
GStreamer backend for Phonon Qt5.

%files -n phonon4qt5-gstreamer
%_qt5_plugindir/phonon4qt5_backend/phonon_gstreamer.so

#--------------------------------------------------------------------

%package -n phonon-gstreamer-common
Summary: Common files for GStreamer backends for Phonon
Group:   Video/Utilities
BuildArch: noarch

Conflicts: phonon-gstreamer < 5:4.7.2-2
Conflicts: phonon4qt5-gstreamer < 5:4.7.2-2

%description -n phonon-gstreamer-common
Common files for GStreamer backends for Phonon.

%files -n phonon-gstreamer-common
%_datadir/icons/hicolor/*/apps/phonon-gstreamer.*

#--------------------------------------------------------------------

%prep
%setup -q -n %{name}-%{version}
%autopatch -p1

%build
mkdir -p Qt4
pushd Qt4
    %cmake_kde4 -DUSE_INSTALL_PLUGIN:BOOL=ON ../..
    %make
popd

mkdir -p Qt5
pushd Qt5
    %cmake_kf5 -DUSE_INSTALL_PLUGIN:BOOL=ON -DPHONON_BUILD_PHONON4QT5:BOOL=ON ../..
    %make
popd

%install
%makeinstall_std -C Qt4/build
%makeinstall_std -C Qt5/build


%changelog
* Thu May 12 2016 luigiwalser <luigiwalser> 5:4.9.0-3.mga6
+ Revision: 1013733
- BR pkgconfig(Qt5X11Extras)
- remove patch 0 (no longer needed)

  + neoclust <neoclust>
    - New version 4.9.0

* Tue Feb 16 2016 umeabot <umeabot> 5:4.8.2-3.mga6
+ Revision: 962076
- Mageia 6 Mass Rebuild

* Wed Nov 11 2015 blino <blino> 5:4.8.2-2.mga6
+ Revision: 902427
- add patch from Fedora to fix build with gstreamer >= 1.5 (missing include dirs)

* Sat Feb 07 2015 lmenut <lmenut> 5:4.8.2-1.mga5
+ Revision: 813843
- update to 4.8.2 (GStreamer 1.0)

* Wed Dec 03 2014 lmenut <lmenut> 5:4.7.2-5.mga5
+ Revision: 800699
- recommends gstreamer0.10-neon (mga#12186)

* Wed Oct 15 2014 umeabot <umeabot> 5:4.7.2-4.mga5
+ Revision: 739860
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5:4.7.2-3.mga5
+ Revision: 687082
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Sun Sep 07 2014 lmenut <lmenut> 5:4.7.2-2.mga5
+ Revision: 673240
- rebuild for phonon 4.8.0
- drop old provides phonon-backend-gst
- build phonon4qt5 backend

* Sat Jul 12 2014 lmenut <lmenut> 5:4.7.2-1.mga5
+ Revision: 651542
- update to 4.7.2

* Tue Feb 18 2014 neoclust <neoclust> 5:4.7.1-2.mga5
+ Revision: 594183
- New version 4.7.1

* Fri Oct 18 2013 umeabot <umeabot> 5:4.6.3-2.mga4
+ Revision: 522049
- Mageia 4 Mass Rebuild

* Fri Feb 08 2013 neoclust <neoclust> 5:4.6.3-1.mga3
+ Revision: 395300
- New bugfix release

* Sun Jan 13 2013 umeabot <umeabot> 5:4.6.2-5.mga3
+ Revision: 375650
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 lmenut <lmenut> 5:4.6.2-4.mga3
+ Revision: 339163
- Use Video/Utilities for group
- Add gstreamer0.10-cdparanoia as a requires (cdda support, mga #8249)

* Thu Aug 23 2012 lmenut <lmenut> 5:4.6.2-3.mga3
+ Revision: 283368
- Add patch to fix phonon-gstreamer on systems with multple CD/DVD drives (mga #5577)

* Tue Aug 14 2012 neoclust <neoclust> 5:4.6.2-2.mga3
+ Revision: 281229
- Rebuild to have an higer release than in mga2

* Tue Aug 14 2012 neoclust <neoclust> 5:4.6.2-1.mga3
+ Revision: 281220
- New version 4.6.2

* Sat Jul 14 2012 fwang <fwang> 5:4.6.1-2.mga3
+ Revision: 270735
- upstream already ships a nice icon

* Sat Jul 14 2012 fwang <fwang> 5:4.6.1-1.mga3
+ Revision: 270711
- new version 4.6.1

* Sat Jun 23 2012 wally <wally> 5:4.6.0-2.mga3
+ Revision: 262749
- don't own icons directories

* Tue Feb 28 2012 colin <colin> 5:4.6.0-1.mga2
+ Revision: 215889
- New version: 4.6.0

* Wed May 11 2011 mikala <mikala> 5:4.5.1-0.mga1
+ Revision: 97274
- Disable patch52 for the moment
- Update tarball to 4.5.1
  Rediff patch52

* Fri Apr 22 2011 mikala <mikala> 5:4.5.0-2.mga1
+ Revision: 89773
- Add gstreamer0.10-plugins-ugly as a suggests (provides mp3 support)

* Mon Apr 11 2011 mikala <mikala> 5:4.5.0-1.mga1
+ Revision: 83128
- Update tarball to 4.5.0
- Remove BuildRoot

* Fri Jan 21 2011 dmorgan <dmorgan> 5:4.4.4-1.mga1
+ Revision: 29655
- Fix spec file
- Update to phonon 4.4.4

* Mon Jan 17 2011 ahmad <ahmad> 5:4.4.4-0.20110104.4.mga1
+ Revision: 21634
- introduce libphonon_requires mancro and fix the phonon Requires

* Mon Jan 17 2011 ahmad <ahmad> 5:4.4.4-0.20110104.3.mga1
+ Revision: 21585
- add the %%{phonon_epoch} to the Provides

* Mon Jan 17 2011 ahmad <ahmad> 5:4.4.4-0.20110104.2.mga1
+ Revision: 21548
- define phonon_epoch and phonon_major
- change phonon-devel BR to phonon-devel >= %%{phonon_epoch}:4.4.4
- change the phonon requires to requires libphonon with the correct phonon_epoch

* Sun Jan 16 2011 dmorgan <dmorgan> 5:4.4.4-0.20110104.1.mga1
+ Revision: 20383
- Fix BuildRequires
- Fix BuildRequires
- imported package phonon-gstreamer

